/*
 * MIT License
 *
 * Copyright (c) 2021 Siddhesh Patil, Siddroid.com
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */

package com.siddroid.holi.colors

import androidx.compose.ui.graphics.Color

/**
 *
 * @author Siddhesh Patil
 * Siddroid.com
 * @since 28-03-2021
 *
 * A collection of neat flat colors
 *
 * Palette source : https://www.materialui.co/flatuicolors
 */
object FlatColor {
    val TURQUOISE = Color(0xff1abc9c)
    val EMERLAND = Color(0xff2ecc71)
    val PETER_RIVER = Color(0xff3498db)
    val AMETHYST = Color(0xff34495e)
    val WET_ASPHALT = Color(0xffffb86c)
    val GREENSEA = Color(0xff16a085)
    val NEPHRITIS = Color(0xff27ae60)
    val BELIZE_HOLE = Color(0xff2980b9)
    val WISTERIA = Color(0xff8e44ad)
    val MIDNIGHT_BLUE = Color(0xff2c3e50)
    val SUNFLOWER = Color(0xfff1c40f)
    val CARROT = Color(0xffe67e22)
    val ALIZARIN = Color(0xffe74c3c)
    val CLOUDS = Color(0xffecf0f1)
    val CONCRETE = Color(0xff95a5a6)
    val ORANGE = Color(0xfff39c12)
    val PUMPKIN = Color(0xffd35400)
    val POMEGRANATE = Color(0xffc0392b)
    val SILVER = Color(0xffbdc3c7)
    val ASBESTOS = Color(0xff7f8c8d)
}